﻿using System;
using System.Collections.Generic;
using System.Text;
using FluentNHibernate.Mapping;

namespace Test
{
    public partial class ChangeLogMap : ClassMap<ChangeLog>
    {
        public ChangeLogMap()
        {
            Table("ChangeLog");
            LazyLoad();
            Id(x => x.Id).Column("ID").Not.Nullable().GeneratedBy.Native();
            Map(x => x.Date).Column("Datum").Not.Nullable();
            Map(x => x.User).Column("Benutzer").Not.Nullable().Length(50);
            Map(x => x.Table).Column("Tabelle").Not.Nullable().Length(50);
            Map(x => x.Field).Column("Feld").Not.Nullable().Length(50);
            Map(x => x.OldValue).Column("WertAlt").Not.Nullable().Length(50);
            Map(x => x.NewValue).Column("WertNeu").Not.Nullable().Length(50);
            Map(x => x.Mode).Column("Modus").Not.Nullable().Length(50);
        }
    }
}
