﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using FluentNHibernate.Mapping;

namespace Test
{
    public class Class1 : IAuditable
    {
        public virtual long Id { get; set; }
        public virtual string FirstName { get; set; }
        public virtual string LastName { get; set; }
    }

    public class Class1ClassMap : ClassMap<Class1>
    {
        public Class1ClassMap()
        {
            Id(x => x.Id).GeneratedBy.Assigned();
            Map(x => x.FirstName);
            Map(x => x.LastName);
        }
    }
}